Bug 139470 - [gimlet] segfaults and hangs in locale without LE
[gimlet] segfaults and hangs in locale without LE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: IIIMF 135876 137149
  Show dependency treegraph
Reported: 2004-11-15 23:38 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version: im-sdk-12.1-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-21 20:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-11-15 23:38:44 EST
Description of problem:
When gimlet is used in a locale with no LE defined
it segfaults as soon as an IIIM application is run.

Version-Release number of selected component (if applicable):
12.1-7 and earlier

How reproducible:
Every time

Steps to Reproduce:
1. Start a GNOME session in some non-English European locale without
an LE defined (eg French, German, Italian, etc)
2. Note Gimlet already shows "En".  Clicking on Gimlet gives
   the usual empty menu.
3. Start an application that uses iiimf (eg gnome-terminal)
4. Click on Gimlet.
5. Exit GNOME.  

Actual results:
4. Gimlet stops responding completely.
5. The applet process remains.

Expected results:
4. Gimlet's lang menu to appear normally.
5. Gimlet is exit normally.
Comment 1 Jens Petersen 2004-11-17 02:20:44 EST
This should be fixed in im-sdk-12.1-8.

[this fix has been checked into upstream trunk (r2055)]

Comment 2 eric bechet 2004-11-17 15:27:18 EST
I wanted to file a bug report on the same topic until I found that
some people already have done so. I confirm the bug, trying to switch
between im's with gimlet while using a non asian locale makes it hang
hard. I'm using fedora core 3, with fr_FR locale and trying to type


Comment 3 Lawrence Lim 2004-11-21 20:01:58 EST
Confirmed fixed in 12.1-8. I can also reproduce the error in 12.1-7. 

Actually, bug 137712 was experiencing the same hang problem when I
filed the bug. :)


Note You need to log in before you can comment on or make changes to this bug.